Page MenuHomePhabricator

efl_test_clickable: introduce new tests
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:01 AM.

Details

Summary

the new test checks if the events are correctly emitted

Depends on D8821

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.May 5 2019, 3:01 AM
bu5hm4n requested review of this revision.May 5 2019, 3:01 AM
bu5hm4n updated this revision to Diff 21957.May 6 2019, 7:41 AM
bu5hm4n edited the summary of this revision. (Show Details)

Rebase & update according to xavi review

bu5hm4n updated this revision to Diff 22104.May 12 2019, 2:17 AM

Rebase & update

zmike accepted this revision.May 13 2019, 11:36 AM
This revision is now accepted and ready to land.May 13 2019, 11:36 AM
bu5hm4n updated this revision to Diff 22150.May 14 2019, 1:54 AM

Make press,move-out-of-widget,unpress scenarios work

bu5hm4n updated this revision to Diff 22155.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22175.May 14 2019, 10:53 AM

update to new API names

bu5hm4n updated this revision to Diff 22186.May 14 2019, 11:21 AM

update to new API names, redo

Closed by commit rEFL5ca38bfc34b4: efl_test_clickable: introduce new tests (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 14 2019, 1:18 PM
This revision was automatically updated to reflect the committed changes.